-- 藏品柜-当前抽奖池全部奖励
Lua_CollectionCabinetDrawCurRewardWindow = class("Lua_CollectionCabinetDrawCurRewardWindow", Lua_Window);
function Lua_CollectionCabinetDrawCurRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_CollectionCabinetDrawCurRewardWindow";
	self.skinName = "CollectionCabinetDrawCurRewardWindow_skin";
	self.layer = Lua_MainWinDefine.TIPS_WINDOW_LAYER;
	self.showWinBg = true;
	self.showBlackMask = true;
	self.isClickClose = true;
	self.blackAlpha = 0.5;
end

function Lua_CollectionCabinetDrawCurRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.showList = Lua_DragList.new(self.content, 444, 430, Lua_AxisDefine.Vertical);
	self.showList:setListCell(Lua_CollectionCabinetDrawCurRewardItem, 111, 129, 4);
	self.showList:setCellSpacing(0, 2);
	self.showList:setLocation(0, -10, 0);
end

function Lua_CollectionCabinetDrawCurRewardWindow:showWin(param)
	self:superCall("showWin", param);

	-- local arr = DataCenter.collectionCabinetData:getDrawRewardInfo(param);
	-- local showList;
	-- local showArr = Array();
	-- for i = 1, arr:getSize() do
	-- 	showList = DataCenter.collectionCabinetUtil:getCollectionCabinetSubPoolConfig(arr[i]);
	-- 	for j = 1, #showList do
	-- 		showArr:add(showList[j][1]);
	-- 	end
	-- end
	-- showArr:sortf(self, self.sortFun);

	local showArr;
	if param == 1 then
		showArr = DataCenter.collectionCabinetUtil.lowProbabilityList;
	else
		showArr = DataCenter.collectionCabinetUtil.probabilityList;
	end
	self.showList:setArrayData(showArr);
end

function Lua_CollectionCabinetDrawCurRewardWindow:sortFun(a, b)
	local tvo_a = getConfig("item", a[1]);
	local tvo_b = getConfig("item", b[1]);
	if tvo_a.id == tvo_b.id then
		return a[2] > b[2];
	else
		return tvo_a.sort_weight < tvo_b.sort_weight;
	end
end

function Lua_CollectionCabinetDrawCurRewardWindow:dispose()
	if self.showList ~= nil then
		self.showList:dispose();
		self.showList = nil;
	end
	self:superCall("dispose");
end











Lua_CollectionCabinetDrawCurRewardItem = class("Lua_CollectionCabinetDrawCurRewardItem", Lua_ItemIconCell);
function Lua_CollectionCabinetDrawCurRewardItem:ctor(p)
	self:superCall("ctor", p);
end

function Lua_CollectionCabinetDrawCurRewardItem:buildShowItem()
	self:superCall("buildShowItem");

	self.itemIcon:setLocation(0, 14.5, 0);
	self.itemIcon:setScale(0.8, 0.8);

	self.probabilityTxt = UICreate.createLabel(self.content, nil, 0, -50, 100, 31, 20);
	self.probabilityTxt.alignmentValue = 4;
	self.probabilityTxt.horizontalOverflowValue = 1;
	self.probabilityTxt.fontName = Lua_MyUISettings.huakangFontName;
end

function Lua_CollectionCabinetDrawCurRewardItem:setData(data)
	self:superCall("setData", data);
	self.probabilityTxt.text = data[3];
end

function Lua_CollectionCabinetDrawCurRewardItem:dispose()
	if self.probabilityTxt ~= nil then
		self.probabilityTxt:dispose();
		self.probabilityTxt = nil;
	end
	self:superCall("dispose");
end